{
    "preprocessingFitSampleSeed": 1337, 
    "feature_selection_params": {
        "custom_params": {
            "code": "# type your code here"
        }, 
        "pca_params": {
            "variance_proportion": 0.9, 
            "n_features": 25
        }, 
        "random_forest_params": {
            "depth": 10, 
            "n_features": 25, 
            "n_trees": 30
        }, 
        "lasso_params": {
            "alpha": [
                0.01, 
                0.1, 
                1.0, 
                10.0, 
                100.0
            ], 
            "cross_validate": true
        }, 
        "method": "NONE", 
        "correlation_params": {
            "max_abs_correlation": 1.0, 
            "n_features": 25, 
            "min_abs_correlation": 0.0
        }
    }, 
    "preprocessingFitSampleRatio": 1.0, 
    "reduce": {
        "enabled": false, 
        "kept_variance": 0.0
    }, 
    "skipPreprocessing": false, 
    "target_remapping": [
        {
            "mappedValue": 0, 
            "sourceValue": "0", 
            "sampleFreq": 937
        }, 
        {
            "mappedValue": 1, 
            "sourceValue": "1", 
            "sampleFreq": 9063
        }
    ], 
    "per_feature": {
        "card_first_active_month_parsed": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Date", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "w2_purchase_amount_min": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "signature_provided": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_amount_max": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "card_age": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_hour": {
            "generate_derivative": false, 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "sendToInput": "main", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "role": "REJECT", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "autoReason": "REJECT_ZERO_VARIANCE", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "card_latitude": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "w2_purchase_amount_avg": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "days_active": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_year": {
            "generate_derivative": false, 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "sendToInput": "main", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "role": "REJECT", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "autoReason": "REJECT_ZERO_VARIANCE", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_location": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "GeoPoint", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "purchase_date": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DateSource", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "card_state_enName": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "USStateMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "merchant_cardholder_distance": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_month": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_date_parsed": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Date", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "transaction_id": {
            "generate_derivative": false, 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "sendToInput": "main", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "role": "REJECT", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "autoReason": "REJECT_IDENTIFIER", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_latitude": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "card_first_active_month": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DateSource", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "authorized_flag": {
            "generate_derivative": false, 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "sendToInput": "main", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "role": "TARGET", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_category_id": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_weekend": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "card_location": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "GeoPoint", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "purchase_amount_avg": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "purchase_day": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_longitude": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_id": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "purchase_dow": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "w2_purchase_amount_max": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "item_category": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "card_state": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "USStateMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "merchant_state": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "USStateMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "card_id": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "purchase_amount": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_subsector_description": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "card_longitude": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "card_reward_program": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "purchase_amount_min": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "merchant_state_enName": {
            "missing_impute_with": "MODE", 
            "max_cat_safety": 200, 
            "hash_whole_categories": false, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "USStateMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "dummy_drop": "NONE", 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "customProcessorWantsMatrix": false
        }, 
        "card_fico_score": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }
    }, 
    "feature_generation": {
        "manual_interactions": {
            "interactions": []
        }, 
        "pairwise_linear": {
            "behavior": "DISABLED"
        }, 
        "categoricals_count_transformer": {
            "input_features": [], 
            "all_features": false, 
            "behavior": "DISABLED"
        }, 
        "polynomial_combinations": {
            "behavior": "DISABLED"
        }, 
        "numericals_clustering": {
            "k": 0, 
            "input_features": [], 
            "all_features": false, 
            "behavior": "DISABLED"
        }
    }
}